About the installed plugins when upgrade Java (8 - > 11)

Hello,
We are using Elasticsearch 6.5.2 on Java 8 currently,
and have a plan to upgrade Java 11 for using G1GC safely.

But, we have already installed many custom plugins made of Java 8.
Do we need to install them again after Java Upgrade?
And is there any backward compatibility issues for custom plugin made of Java 8?

Thank you!!

I believe that the code that has been created On Java8 can be run on Java 11.